Name:           kvkbd
Version:        0.6
Release:        4%{?dist}
Summary:        Virtual keyboard for KDE

Group:          Applications/System
License:        GPLv2+
URL:            http://www.kde-apps.org/content/show.php/Kvkbd+-+KDE4?content=94374
Source0:        http://www.kde-apps.org/CONTENT/content-files/94374-%{name}-%{version}.tar.bz2
# Patch to handle change of DSO linking (rhbz #564892)
Patch0:	        kvkbd-0.6-DSO-linking-fix.patch	
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake kdelibs-devel libxslt-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Kvkbd is a virtual keyboard for KDE, it contains many feature like system
tray and dock support, autodetection and on the fly change of the keyboard
layout, scripting with DBus, etc.

%prep
%setup -q
%patch0 -p1 -b .DSO-linking-fix.patch

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install                                    \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/kde4/kvkbd.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_kde4_bindir}/kvkbd
%{_kde4_datadir}/applications/kvkbd.desktop
%{_kde4_datadir}/doc/HTML/en/kvkbd/
%{_kde4_appsdir}/kvkbd/

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 15 2010 Radek Novacek <rnovacek@redhat.com> - 0.6-3
- Fixed breakage by DSO change (rhbz #564892)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 09 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.6-1
- Initial package
